moon-buggy - drive some car across the moon


INTRODUCTION:

   Moon-buggy is a simple character graphics game, where you drive some
kind of car across the moon's surface.  Unfortunately there are
dangerous craters there.  Fortunately your car can jump over them!

   Moon-Buggy comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of Moon-Buggy under the terms of the GNU
General Public License.  For more information about these matters, read
the file COPYING of the source code distribution or press 'c' at
moon-buggy's title screen.

   Please mail any suggestions and bug reports to <voss@seehuhn.de>.
Your message should include the moon-buggy version number, as obtained
by the command 'moon-buggy -V'.


INSTALLATION:

   Moon-buggy requires the curses library as a prerequisite.  If
curses is not installed on your system, you may use the free ncurses
package.  The game does not work with BSD curses, thus on BSD systems
you will need the ncurses package.

   Generic installation instructions are in the file INSTALL.  There
are some points of interest:

   * By default, the program will be installed as
     '/usr/local/bin/moon-buggy'.  You can specify an installation
     prefix other than '/usr/local' by giving 'configure' the
     '--prefix=PATH' option.

   * You can choose the score file's location via 'configure''s
     '--sharedstatedir' option.  On Linux you should use

          --sharedstatedir=/var/games

     to comply with the Filesystem Hierarchy Standard.

   * Moon-buggy supports shared score files.  As explained in
     moon-buggy's manual, you may want to make moon-buggy a setgid
     program.  This can be done with the '--with-setgid' option.  If
     you use

          --with-setgid=games

     then the installation process arranges everything for setgid usage.

     CAUTION: this introduces potential security risks.  I tried to
     minimise these, but nevertheless be careful with this.  And
     remember: moon-buggy comes with no warranty.

   * If your version of the curses library is not autodetected, you
     have to use some of the '--with-curses-includedir',
     '--with-curses-header', and '--with-curses-libs' options.  For
     example you should use

          --with-curses-includedir=/usr/pkg/include

     if your curses header files are in "/usr/pkg/include/".  You may
     use

          --with-curses-header="<mycurses.h>"

     if your curses header is called "mycurses.h".  And you may use

          --with-curses-libs="-L/usr/pkg/lib -lncurses"

     if your curses library is called "ncurses.a" and is located in
     "/usr/pkg/lib/".


   Example: On GNU/Linux systems you probably can use the following
commands.  For the last one you need root user permissions.

     ./configure --sharedstatedir=/var/games --mandir=/usr/share/man \
       --with-setgid=games
     make
     make install
